Stop syncing for Anki 2.0

Mary Dang's Avatar

Mary Dang

12 Nov, 2019 11:05 PM

Hello,

So I received notification that "On Jan 1 2020, AnkiWeb will drop support for older, less secure web encryption standards. As the libraries Anki 2.0 was built with do not support more modern standards, this will mean that Anki 2.0 will lose the ability to sync and download add-ons from AnkiWeb when this change is made."

However, I have a Mac and if I use a 2.1 version I cannot sync it (cannot even log in to my account). It always says "Syncing failed:
Error establishing a secure connection. This is usually caused by antivirus, firewall or VPN software, or problems with your ISP. (invalid cert)." I have already tried everything suggested on the web regarding this problem (such as not having an anti-virus app) but I still cannot sync on my Mac. So, I've been using Anki 2.0 and every works just fine. Now that you guys announced you will stop syncin for 2.0 version, honestly I don't know what to do.

Please give me a solution.

Thank you,

Mary Dang.

  1. 1 Posted by Uyen Dang on 12 Nov, 2019 11:12 PM

    Uyen Dang's Avatar

    Regarding:
    "'Syncing failed: Connection timed out' errors when syncing" at
    https://anki.tenderapp.com/kb/problems/syncing-failed-connection-timed-out-errors-when-syncing

    I have a MacBook Air. I cannot even sign in to my account (on 2.1 version)
    and I already tried:
    1. I don’t use any antivirus/ firewall/ VPN/ or proxy
    2. No matter is it’s the internet at home/ work/ school, it still doesn’t
    let me sign in to my account.

  2. 2 Posted by KKS on 12 Nov, 2019 11:53 PM

    KKS's Avatar

    This comment was split into a new discussion: Stop syncing for Anki 2.0

    DAMIEN

    YOU CAN'T DO THAT TO ME, DAMIEN

    I've been using Anki every single day for the past 4 years. I am locked in 2.0 ever since Unicode got SCRAMBLED. You call it normalization, there is nothing normalized or elegant about ignoring user input and actively replacing a character with something else. This software has a good share of Japanese and Chinese learners, ideogram support should be burned in its barebone core.

    But it's fine, I don't need new addons. I don't need new features - it ALREADY WORKS as intended, all I have... had to do's not upgrade. But what shall I do now? I'm halfway done with the 7th page in this picture already. Will you take responsibility for all the little orphaned Chinese squiggles? Have mercy...

    For reference, my old thread about this is https://anki.tenderapp.com/discussions/ankidesktop/33795-anki-21-lost-kanji-compatibility

  3. Support Staff 3 Posted by Damien Elmes on 13 Nov, 2019 12:10 AM

    Damien Elmes's Avatar

    Mary: please see https://apps.ankiweb.net/docs/knownissues21.html#ssl-errors

    To disable verification on a Mac, you can open Terminal.app and start Anki with

    ANKI_NOVERIFYSSL=1 open /Applications/Anki.app
    

    When Anki is running like that, you you make the workaround permanent by installing https://ankiweb.net/shared/info/878367706

  4. 4 Posted by AGJon on 13 Nov, 2019 12:49 AM

    AGJon's Avatar

    I ask in earnest to maintain sync support for 2.0 if possible. Similar to the user above, I'm locked into 2.0 due to a Japanese learning goal that prioritizes Kanji knowledge (aim is a particular test, and well beyond). I've maintained a long term steady learning pace thanks to Anki, and hope to maintain it without snags if possible. Thanks for reading - Jon

  5. Support Staff 5 Posted by Damien Elmes on 13 Nov, 2019 02:47 AM

    Damien Elmes's Avatar

    Hi Jon,

    You can continue to use 2.0 for now if you wish, but you will need to use 2.1 to sync your data to AnkiWeb. I have updated the announcement with some more details: https://anki.tenderapp.com/discussions/announcements/136-sunsetting...

  6. 6 Posted by Uyen Dang on 13 Nov, 2019 05:43 AM

    Uyen Dang's Avatar

    I tried to put in the code (from the website your gave) for the the add-on
    but it says " Error downloading 878367706: Please check your internet
    connection.

    HTTPSConnectionPool(host='ankiweb.net', port=443): Max retries exceeded
    with url: /shared/download/878367706?v=2.1 (Caused by SSLError(SSLError(1,
    '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed
    (_ssl.c:847)'),))"

    I already tried using home and school wifi. Both don't work. What should I
    do next?

  7. 7 Posted by Mary Dang on 13 Nov, 2019 05:46 AM

    Mary Dang's Avatar

    I tried to put in the code (from the website your gave) for the the add-on but it says " Error downloading 878367706: Please check your internet connection.
    HTTPSConnectionPool(host='ankiweb.net', port=443): Max retries exceeded with url: /shared/download/878367706?v=2.1 (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:847)'),))"

    I already tried using home and school wifi. Both don't work. What should I do next?

  8. Support Staff 8 Posted by Damien Elmes on 13 Nov, 2019 08:46 AM

    Damien Elmes's Avatar

    You'll need to run Anki from a terminal as described above first - doing so should allow you to download the add-on.

  9. 9 Posted by Mary Dang on 14 Nov, 2019 04:46 AM

    Mary Dang's Avatar

    Sorry I didn't even know what is Terminal.app lol. I got it now. I did that first then put in the code. It worked smoothly. Thank you Damien! Thanks for giving me a heart attack and then the AED shock :D really appreciate it :)))

  10. Support Staff 10 Posted by Damien Elmes on 14 Nov, 2019 09:12 AM

    Damien Elmes's Avatar

    No problem :-)

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac